# UAE Dubai Vehicle Details

The Dubai Vehicle Details API allows users to retrieve information about vehicles registered in Dubai, including registration details, ownership information, and vehicle specifications.

## Submit Document

### dubai\_vehicle\_deatils

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/dubai_vehicle_details`

### Post parameters description is given below,

| Post Parameter        | Type   | Is Mandatory | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| --------------------- | ------ | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `plate_number`        | String | Yes          | The unique series of digits of the vehicle's license plate.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `plate_code`          | String | Yes          | The alphabetical code that specifies the category or series of the plate.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `vehicle_category`    | String | Yes          | <p>The Vehicle Category will be any one of the below:<br><br><code>dubai\_police</code><br><code>learning\_vehicle</code><br><code>import</code><br><code>motorcycle</code><br><code>private</code><br><code>taxi</code><br><code>public\_transportation</code><br><code>trade\_plate</code><br><code>export</code><br><code>consulate\_authority</code><br><code>political\_authority</code><br><code>international\_organization</code><br><code>protocol</code><br><code>government\_vehicle</code><br><code>private\_transportation</code><br><code>data\_migration</code><br><code>classical</code><br><code>entertainment\_motorcycle</code><br><code>trailer</code><br><code>dubai\_flag</code><br><code>Under\_test</code><br><br>Vehicle Catogery cannot be other than these.</p> |
| `traffic_file_number` | String | Yes          | Traffice File Number of the vehicle                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `registration_date`   | String | Yes          | <p>Registration date of the vehicle<br>Format: YYYY-MM-DD</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

### Sample Post Parameters

```json
{
    "plate_number": "54646",
    "plate_code": "G",
    "vehicle_category": "private",
    "traffic_file_number": "10583602",
    "registration_date": "2017-05-10"
}
```

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "aa0b7408-6d9a-423f-be28-95be9c5b6a83",
    "status": "completed",
    "result": {
        "plateNumber": "54646",
        "plateCode": "G",
        "trafficFileNumber": "10583602",
        "vehicleCategory": "private",
        "registrationDate": "2017-05-10",
        "placeOfIssue": "Dubai",
        "ownerName": "JAWAD ABDELREDA ABDELBAQI AL",
        "policyNumber": "DB-C-35924",
        "nationality": "Jordan",
        "insuranceCompany": "JORDAN INSURANCE CO. LTD.",
        "countryOfManufacture": "JORDAN INSURANCE CO. LTD.",
        "vehicleColor": "White",
        "vehicleClass": "STATION",
        "vehicleType": "AUDI Q7",
        "emptyWeight": "1950",
        "totalWeight": "2550",
        "engineNo": "CRE 136707",
        "chassisNumber": "WA1AGDF76HD046121",
        "dateOfExpiry": "2025-04-21"
    },
    "requested_at": "2026-01-27T10:07:19.621Z",
    "completed_at": "2026-01-27T10:07:20.169Z"
}
```

### 200: InProgress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
    "status": "in_progress",
    "requested_at": "2026-01-27T11:44:58.057Z"
}
```

### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Plate Number should not be empty",
        "field": "plate_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Plate Code should not be empty",
        "field": "plate_code",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Vechicle Category should not be empty",
        "field": "vehicle_category",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Traffic File Number should not be empty",
        "field": "traffic_file_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Registration Date should not be empty",
        "field": "registration_date",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Registration Date format. Use YYYY-MM-DD.",
        "field": "registration_date",
        "code": "BAD_REQUEST"
    }
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "9b0b9637-6f44-45f4-9bd9-b8b4967b65aa",
    "status": "failed",
    "error": {
        "message": "Data not found for given input",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T12:10:03.767Z",
    "completed_at": "2026-01-27T12:10:45.752Z"
}
```

## Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/utility/dubai_vehicle_details`

### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "aa0b7408-6d9a-423f-be28-95be9c5b6a83",
    "status": "completed",
    "result": {
        "plateNumber": "54646",
        "plateCode": "G",
        "trafficFileNumber": "10583602",
        "vehicleCategory": "private",
        "registrationDate": "2017-05-10",
        "placeOfIssue": "Dubai",
        "ownerName": "JAWAD ABDELREDA ABDELBAQI AL",
        "policyNumber": "DB-C-35924",
        "nationality": "Jordan",
        "insuranceCompany": "JORDAN INSURANCE CO. LTD.",
        "countryOfManufacture": "JORDAN INSURANCE CO. LTD.",
        "vehicleColor": "White",
        "vehicleClass": "STATION",
        "vehicleType": "AUDI Q7",
        "emptyWeight": "1950",
        "totalWeight": "2550",
        "engineNo": "CRE 136707",
        "chassisNumber": "WA1AGDF76HD046121",
        "dateOfExpiry": "2025-04-21"
    },
    "requested_at": "2026-01-27T10:07:19.621Z",
    "completed_at": "2026-01-27T10:07:20.169Z"
}
```

### 200: InProgress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
    "status": "in_progress",
    "requested_at": "2026-01-27T11:44:58.057Z"
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "9b0b9637-6f44-45f4-9bd9-b8b4967b65aa",
    "status": "failed",
    "error": {
        "message": "Data not found for given input",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T12:10:03.767Z",
    "completed_at": "2026-01-27T12:10:45.752Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/uae-dubai-vehicle-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
